Package gov.nasa.gsfc.sscweb.schema

# Enum Class ResultStatusSubCode

java.lang.Object
java.lang.Enum<ResultStatusSubCode>
gov.nasa.gsfc.sscweb.schema.ResultStatusSubCode

All Implemented Interfaces:
  `Serializable`, `Comparable<ResultStatusSubCode>`, `Constable`

public enum ResultStatusSubCode extends Enum<ResultStatusSubCode>
Result status sub-code. <p>Java class for ResultStatusSubCode</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <simpleType name="ResultStatusSubCode"> <restriction base="{http://www.w3.org/2001/XMLSchema}string"> <enumeration value="Success"/> <enumeration value="MissingRequest"/> <enumeration value="MissingSatellites"/> <enumeration value="InvalidBeginTime"/> <enumeration value="InvalidEndTime"/> <enumeration value="InvalidSatellite"/> <enumeration value="InvalidTimeRange"/> <enumeration value="InvalidResolutionFactor"/> <enumeration value="MissingOutputOptions"/> <enumeration value="MissingCoordOptions"/> <enumeration value="MissingCoordSystem"/> <enumeration value="InvalidCoordSystem"/> <enumeration value="MissingCoordComponent"/> <enumeration value="MissingSpaceRegions"/> <enumeration value="MissingRadialTraceRegions"/> <enumeration value="MissingMagneticTraceRegions"/> <enumeration value="MissingCuspOptions"/> <enumeration value="MissingCleftOptions"/> <enumeration value="MissingAuroralOvalOptions"/> <enumeration value="MissingPolarCapOptions"/> <enumeration value="MissingMidLatitudeOptions"/> <enumeration value="MissingDistanceFromCenterOfEarth"/> <enumeration value="MissingMagneticFieldStrength"/> <enumeration value="MissingDistanceFromNeutralSheet"/> <enumeration value="MissingDistanceFromBowShock"/> <enumeration value="MissingDistanceFromMagnetopause"/> <enumeration value="MissingDipoleLValue"/> <enumeration value="MissingDipoleInvariantLatitude"/> <enumeration value="MissingGraphOptions"/> <enumeration value="MissingCoordinateSystem"/> <enumeration value="MissingCoordinateComponent"/> <enumeration value="ServerError"/> </restriction> </simpleType> }</pre>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INVALID_BEGIN_TIME`
  The required begin time value was missing or invalid.
  `INVALID_COORD_SYSTEM`
  Invalid CoordinateSystem value.
  `INVALID_END_TIME`
  The required end time value was missing or invalid.
  `INVALID_RESOLUTION_FACTOR`
  Invalid resolution factor value.
  `INVALID_SATELLITE`
  The specified satellite is invalid or null.
  `INVALID_TIME_RANGE`
  The request contained an invalid time range.
  `MISSING_AURORAL_OVAL_OPTIONS`
  The AuroralOval HemisphereOptions value is missing.
  `MISSING_CLEFT_OPTIONS`
  The Cleft HemisphereOptions value is missing.
  `MISSING_COORD_COMPONENT`
  The CoordinateOptions contain a null value for the CoordinateComponent.
  `MISSING_COORD_OPTIONS`
  The OutputOptions contain a null element in non-empty List of FilteredCoordinateOptions.
  `MISSING_COORD_SYSTEM`
  The CoordinateOptions contain a null value for the CoordinateSystem.
  `MISSING_COORDINATE_COMPONENT`
  The required CoordinateComponent value is missing or null.
  `MISSING_COORDINATE_SYSTEM`
  The required CoordinateSystem value is missing or null.
  `MISSING_CUSP_OPTIONS`
  The Cusp HemisphereOptions value is missing.
  `MISSING_DIPOLE_INVARIANT_LATITUDE`
  The DipoleInvariantLatitude LocationFilter value is missing.
  `MISSING_DIPOLE_L_VALUE`
  The DipoleLValue LocationFilter value is missing.
  `MISSING_DISTANCE_FROM_BOW_SHOCK`
  The DistanceFromBowShock LocationFilter value is missing.
  `MISSING_DISTANCE_FROM_CENTER_OF_EARTH`
  The DistanceFromCenterOfEarth LocationFilter value is missing.
  `MISSING_DISTANCE_FROM_MAGNETOPAUSE`
  The DistanceFromMagnetopause LocationFilter value is missing.
  `MISSING_DISTANCE_FROM_NEUTRAL_SHEET`
  The DistanceFromNeutralSheet LocationFilter value is missing.
  `MISSING_GRAPH_OPTIONS`
  The GraphOptions were missing or null.
  `MISSING_MAGNETIC_FIELD_STRENGTH`
  The MagneticFieldStrength LocationFilter value is missing.
  `MISSING_MAGNETIC_TRACE_REGIONS`
  The MagneticTraceRegions value is missing.
  `MISSING_MID_LATITUDE_OPTIONS`
  The MidLatitude HemisphereOptions value is missing.
  `MISSING_OUTPUT_OPTIONS`
  The OutputOptions were missing or null.
  `MISSING_POLAR_CAP_OPTIONS`
  The PolarCap HemisphereOptions value is missing.
  `MISSING_RADIAL_TRACE_REGIONS`
  The RadialTraceRegions value is missing.
  `MISSING_REQUEST`
  The required request object was missing or null.
  `MISSING_SATELLITES`
  The required set of satellites was missing or null.
  `MISSING_SPACE_REGIONS`
  The SpaceRegions value is missing.
  `SERVER_ERROR`
  An unexpected error occurred on the server.
  `SUCCESS`
  Sucessful status.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private final String`
  `value`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `ResultStatusSubCode(String v)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ResultStatusSubCode`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static ResultStatusSubCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ResultStatusSubCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final ResultStatusSubCode SUCCESS
    Sucessful status.

  - ### MISSING_REQUEST

    public static final ResultStatusSubCode MISSING_REQUEST
    The required request object was missing or null.

  - ### MISSING_SATELLITES

    public static final ResultStatusSubCode MISSING_SATELLITES
    The required set of satellites was missing or null.

  - ### INVALID_BEGIN_TIME

    public static final ResultStatusSubCode INVALID_BEGIN_TIME
    The required begin time value was missing or invalid.

  - ### INVALID_END_TIME

    public static final ResultStatusSubCode INVALID_END_TIME
    The required end time value was missing or invalid.

  - ### INVALID_SATELLITE

    public static final ResultStatusSubCode INVALID_SATELLITE
    The specified satellite is invalid or null.

  - ### INVALID_TIME_RANGE

    public static final ResultStatusSubCode INVALID_TIME_RANGE
    The request contained an invalid time range.

  - ### INVALID_RESOLUTION_FACTOR

    public static final ResultStatusSubCode INVALID_RESOLUTION_FACTOR
    Invalid resolution factor value.

  - ### MISSING_OUTPUT_OPTIONS

    public static final ResultStatusSubCode MISSING_OUTPUT_OPTIONS
    The OutputOptions were missing or null.

  - ### MISSING_COORD_OPTIONS

    public static final ResultStatusSubCode MISSING_COORD_OPTIONS
    The OutputOptions contain a null element in non-empty List of FilteredCoordinateOptions.

  - ### MISSING_COORD_SYSTEM

    public static final ResultStatusSubCode MISSING_COORD_SYSTEM
    The CoordinateOptions contain a null value for the CoordinateSystem.

  - ### INVALID_COORD_SYSTEM

    public static final ResultStatusSubCode INVALID_COORD_SYSTEM
    Invalid CoordinateSystem value.

  - ### MISSING_COORD_COMPONENT

    public static final ResultStatusSubCode MISSING_COORD_COMPONENT
    The CoordinateOptions contain a null value for the CoordinateComponent.

  - ### MISSING_SPACE_REGIONS

    public static final ResultStatusSubCode MISSING_SPACE_REGIONS
    The SpaceRegions value is missing.

  - ### MISSING_RADIAL_TRACE_REGIONS

    public static final ResultStatusSubCode MISSING_RADIAL_TRACE_REGIONS
    The RadialTraceRegions value is missing.

  - ### MISSING_MAGNETIC_TRACE_REGIONS

    public static final ResultStatusSubCode MISSING_MAGNETIC_TRACE_REGIONS
    The MagneticTraceRegions value is missing.

  - ### MISSING_CUSP_OPTIONS

    public static final ResultStatusSubCode MISSING_CUSP_OPTIONS
    The Cusp HemisphereOptions value is missing.

  - ### MISSING_CLEFT_OPTIONS

    public static final ResultStatusSubCode MISSING_CLEFT_OPTIONS
    The Cleft HemisphereOptions value is missing.

  - ### MISSING_AURORAL_OVAL_OPTIONS

    public static final ResultStatusSubCode MISSING_AURORAL_OVAL_OPTIONS
    The AuroralOval HemisphereOptions value is missing.

  - ### MISSING_POLAR_CAP_OPTIONS

    public static final ResultStatusSubCode MISSING_POLAR_CAP_OPTIONS
    The PolarCap HemisphereOptions value is missing.

  - ### MISSING_MID_LATITUDE_OPTIONS

    public static final ResultStatusSubCode MISSING_MID_LATITUDE_OPTIONS
    The MidLatitude HemisphereOptions value is missing.

  - ### MISSING_DISTANCE_FROM_CENTER_OF_EARTH

    public static final ResultStatusSubCode MISSING_DISTANCE_FROM_CENTER_OF_EARTH
    The DistanceFromCenterOfEarth LocationFilter value is missing.

  - ### MISSING_MAGNETIC_FIELD_STRENGTH

    public static final ResultStatusSubCode MISSING_MAGNETIC_FIELD_STRENGTH
    The MagneticFieldStrength LocationFilter value is missing.

  - ### MISSING_DISTANCE_FROM_NEUTRAL_SHEET

    public static final ResultStatusSubCode MISSING_DISTANCE_FROM_NEUTRAL_SHEET
    The DistanceFromNeutralSheet LocationFilter value is missing.

  - ### MISSING_DISTANCE_FROM_BOW_SHOCK

    public static final ResultStatusSubCode MISSING_DISTANCE_FROM_BOW_SHOCK
    The DistanceFromBowShock LocationFilter value is missing.

  - ### MISSING_DISTANCE_FROM_MAGNETOPAUSE

    public static final ResultStatusSubCode MISSING_DISTANCE_FROM_MAGNETOPAUSE
    The DistanceFromMagnetopause LocationFilter value is missing.

  - ### MISSING_DIPOLE_L_VALUE

    public static final ResultStatusSubCode MISSING_DIPOLE_L_VALUE
    The DipoleLValue LocationFilter value is missing.

  - ### MISSING_DIPOLE_INVARIANT_LATITUDE

    public static final ResultStatusSubCode MISSING_DIPOLE_INVARIANT_LATITUDE
    The DipoleInvariantLatitude LocationFilter value is missing.

  - ### MISSING_GRAPH_OPTIONS

    public static final ResultStatusSubCode MISSING_GRAPH_OPTIONS
    The GraphOptions were missing or null.

  - ### MISSING_COORDINATE_SYSTEM

    public static final ResultStatusSubCode MISSING_COORDINATE_SYSTEM
    The required CoordinateSystem value is missing or null.

  - ### MISSING_COORDINATE_COMPONENT

    public static final ResultStatusSubCode MISSING_COORDINATE_COMPONENT
    The required CoordinateComponent value is missing or null.

  - ### SERVER_ERROR

    public static final ResultStatusSubCode SERVER_ERROR
    An unexpected error occurred on the server.

- ## Field Details

  - ### value

    private final String value

- ## Constructor Details

  - ### ResultStatusSubCode

    private ResultStatusSubCode(String v)

- ## Method Details

  - ### values

    public static ResultStatusSubCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ResultStatusSubCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static ResultStatusSubCode fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.